socket_server.hpp File Reference

Class used to receive incoming connections. More...

`#include <string>`
`#include <claw/basic_socket.hpp>`
`#include <claw/isocket_stream.hpp>`
`#include <claw/osocket_stream.hpp>`
`#include <claw/socket_stream.hpp>`
`#include <claw/impl/socket_server.tpp>`

Go to the source code of this file.

## Classes

class | claw::net::socket_server
| Class used to receive incoming connections. More...

## Namespaces

namespace | claw
| This is the main namespace.
namespace | claw::net
| Network communications.

## Detailed Description

Class used to receive incoming connections.

Author
  Julien Jorge

Definition in file socket_server.hpp.